Bug 56345 - internal compiler error related to __get_user and __copy_user in scsi_ioctl.c
internal compiler error related to __get_user and __copy_user in scsi_ioctl.c
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 16:53 EST by Jenna Hall
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-15 17:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenna Hall 2001-11-15 16:53:06 EST
Description of Problem:

The "__" did not get removed from __get_user() and __copy_user() in 
scsi_ioctl.c in this kernel tree.  This is a known problem on the public 
kernel mailing list but apparently was not fixed in this kernel version.  
(An internal compiler error results if these are not fixed.)


Version-Release number of selected component (if applicable):

linux-2.4.9-13.4 (This is the latest ia64 test kernel on beta.redhat.com.)


How Reproducible:

100% - it's a compile error

Steps to Reproduce:
1. try to build the kernel
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Arjan van de Ven 2001-11-15 17:04:21 EST
We've fixed this (repeatedly ;) for the 7.1 releases.
However the 7.2-candidate compiler is fixed in this regard so the
workaround/hack is no longer needed.... You can get the compiler from the
"pensacola RC2" isos/RPMS on ftp.beta.redhat.com or from the relevant rawhide
directories....
Comment 2 Bill Nottingham 2001-11-28 15:38:00 EST
fixed in the current compiler anyway.

Note You need to log in before you can comment on or make changes to this bug.